package nvidia-settings-updates 304.43-0ubuntu1 failed to install/upgrade: trying to overwrite '/usr/share/man/man1/nvidia-settings.1.gz', which is also in package nvidia-settings 304.51-0ubuntu1

Bug #1061659 reported by Casey McMullen on 2012-10-04
256
This bug affects 54 people
Affects Status Importance Assigned to Milestone
nvidia-settings (Ubuntu)
High
Alberto Milone
Quantal
High
Alberto Milone
nvidia-settings-experimental-304 (Ubuntu)
High
Alberto Milone
Quantal
High
Alberto Milone
nvidia-settings-updates (Ubuntu)
High
Alberto Milone
Quantal
High
Alberto Milone

Bug Description

This is the error I'm getting in terminal when I try to run: sudo apt-get dist-upgrade

Get:1 http://us.archive.ubuntu.com/ubuntu/ quantal/restricted nvidia-settings-updates amd64 304.51-0ubuntu1 [1,820 kB]
Fetched 1,820 kB in 3s (488 kB/s)
(Reading database ... 262772 files and directories currently installed.)
Preparing to replace nvidia-settings-updates 304.43-0ubuntu1 (using .../nvidia-settings-updates_304.51-0ubuntu1_amd64.deb) ...
Unpacking replacement nvidia-settings-updates ...
dpkg: error processing /var/cache/apt/archives/nvidia-settings-updates_304.51-0ubuntu1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/man/man1/nvidia-settings.1.gz', which is also in package nvidia-settings 304.51-0ubuntu1
No apport report written because MaxReports is reached already
                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/nvidia-settings-updates_304.51-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 12.10
Package: nvidia-settings-updates 304.43-0ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4
Uname: Linux 3.5.0-16-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu1
Architecture: amd64
Date: Thu Oct 4 08:30:11 2012
ErrorMessage: trying to overwrite '/usr/share/man/man1/nvidia-settings.1.gz', which is also in package nvidia-settings 304.51-0ubuntu1
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
SourcePackage: nvidia-settings-updates
Title: package nvidia-settings-updates 304.43-0ubuntu1 failed to install/upgrade: trying to overwrite '/usr/share/man/man1/nvidia-settings.1.gz', which is also in package nvidia-settings 304.51-0ubuntu1
UpgradeStatus: Upgraded to quantal on 2012-09-26 (8 days ago)

Casey McMullen (crmcmullen) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-settings-updates (Ubuntu):
status: New → Confirmed
Rainer Rohde (rainer-rohde) wrote :

Same here.

Micah Gersten (micahg) on 2012-10-04
tags: added: rls-q-incoming
Levan Chelidze (levanchelidze) wrote :

cant update error massage

Jaydip Guha (guha-jaydip) wrote :

got this bug while trying to update system

Thijs Elferink (t-elferink) wrote :

I solved it by doing:

sudo apt-get remove nvidia-settings
sudo apt-get install nvidia-settings-updates

Casey McMullen (crmcmullen) wrote :

Thank you, Thijs!

Those steps indeed solved this issue for me.

Jason Harman (apollyon-direct) wrote :

@Thijs: Does this solve the problem if nvidia-settings is removed? Did you reinstall it afterwards?

I removed and reinstalled as per t-elferink wrote but was perplexed by some apparent left over sludge and was wondering if I should be concerned? Opinions!?! P.S I did autoremove.

steve@steve-System-Product-Name:~$ sudo apt-get install nvidia-settings-updates
[sudo] password for steve:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libattica0.3 libcelt0-0
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  nvidia-settings-updates
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/1,820 kB of archives.
After this operation, 3,843 kB of additional disk space will be used.
(Reading database ... 386974 files and directories currently installed.)
Unpacking nvidia-settings-updates (from .../nvidia-settings-updates_304.51-0ubuntu1_amd64.deb) ...
Processing triggers for man-db ...
Setting up nvidia-settings-updates (304.51-0ubuntu1) ...
update-alternatives: warning: alternative /usr/lib/nvidia-settings/ld.so.conf (part of link group nvidia_settings_conf) doesn't exist; removing from list of alternatives
update-alternatives: warning: /etc/alternatives/nvidia_settings_conf is dangling; it will be updated with best choice
update-alternatives: using /usr/lib/nvidia-settings-updates/ld.so.conf to provide /etc/ld.so.conf.d/nvidia_settings.conf (nvidia_settings_conf) in auto mode
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...

Thijs Elferink (t-elferink) wrote :

@Jason I never recalled installing nvidia-settings, the problem is I installed the nvidia-current-updates driver and the nvidia-settings packages is not in restricted, but the nvidia-settings-current is afaik the same package but not in restricted.

http://packages.ubuntu.com/quantal/nvidia-settings

http://packages.ubuntu.com/quantal/nvidia-settings-updates

Thijs Elferink (t-elferink) wrote :

I mean of course that nvidia-settings-updates is afaik the same as nvidia-settings but the first in restricted.

Changed in nvidia-settings-updates (Ubuntu):
importance: Undecided → High
Changed in nvidia-settings-updates (Ubuntu Quantal):
assignee: nobody → Alberto Milone (albertomilone)
tags: removed: rls-q-incoming
Changed in nvidia-settings (Ubuntu Quantal):
status: New → Triaged
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-settings-updates (Ubuntu Quantal):
status: Confirmed → Triaged
Changed in nvidia-settings (Ubuntu Quantal):
importance: Undecided → High
status: Triaged → In Progress
Changed in nvidia-settings-updates (Ubuntu Quantal):
status: Triaged → In Progress
Changed in nvidia-settings-experimental-304 (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
assignee: nobody → Alberto Milone (albertomilone)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings-updates - 304.51-0ubuntu2

---------------
nvidia-settings-updates (304.51-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Conflict with/replace/provide other flavours
      (LP: #1061659).
 -- Alberto Milone <email address hidden> Fri, 12 Oct 2012 13:02:04 +0200

Changed in nvidia-settings-updates (Ubuntu Quantal):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 304.51-0ubuntu2

---------------
nvidia-settings (304.51-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Conflict with/replace/provide other flavours
      (LP: #1061659).
 -- Alberto Milone <email address hidden> Fri, 12 Oct 2012 12:56:09 +0200

Changed in nvidia-settings (Ubuntu Quantal):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings-experimental-304 - 304.48-0ubuntu2

---------------
nvidia-settings-experimental-304 (304.48-0ubuntu2) quantal; urgency=low

  * debian/control.in:
    - Conflict with/replace/provide other flavours
      (LP: #1061659).
 -- Alberto Milone <email address hidden> Fri, 12 Oct 2012 12:38:27 +0200

Changed in nvidia-settings-experimental-304 (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers